Egg Timer by Mike Robinson

Software by Mike Robinson
Egg Timer
A simple countdown timer

Download Download Download Home Home Purchase Purchase

Download Download

What is this Egg Timer thing?

EggTimer is a simple timer that is sort of like the cooking timer you might find in many kitchens. You set a time in minutes, it counts down the time, and an alarm goes off when the time has elapsed.

It starts with the counter running. It remembers the number of minutes to count from the last time it was run. It can start minimized and you can see the counter running in the minimized icon on the task bar. When the alarm goes off, it restores itself to the screen and flashes a few times. Just click close and it is gone. Just 2 clicks. One to start, one to close. Very simple.

It has a couple more bells and whistles. It can play any .WAV file as the alarm. It can count down or up. It can count from 0 to 9999 minutes. To keep things simple, the count time is entered in whole number minutes. Most egg timers work this way. It can also be run in clock mode where it will show the time of day instead of running the timer.

I shipped EggTimer with a few sample .WAV files. You can probably find quite a few more in your C:\WINDOWS\MEDIA directory. EggTimer has a popup dialog window to select the file and a test button to preview the sound.

This is a 32 bit program and will run on Windows ME, NT, 2000, XP, Vista, Windows 7, Windows 8, and Windows 10. It also runs fine on 64-bit systems.

See the bottom of this page if you would like to purchase Egg Timer for just $5 (Five Dollars). The program works fine even if you do not pay for it. There is no time limit. It will run forever. It is fully functional. No features have been removed. It contains no spyware, no advertising.

Settings

When Eggtimer closes it remembers all of its settings by saving them in the Windows Registry.

Install

As an Administrator run the program eggtimer-setup.exe to install the program. The install program will overwrite any previous version so you are not required to uninstall older versions. The install program will create a folder, copy all the files to the folder, and create shortcuts on the desktop and the start menu. This is a 32-bit program designed for Windows 98, ME, 2000, NT, XP, Vista, Windows 7, Windows 8, and Windows 10. It also runs fine on 64-bit systems.

An alternate install method is to download the executable file eggtimer.exe and then just run the program. You can create your own Desktop Shortcut or other shortcut links.

UnInstall

Open Windows Control Panel, select Programs and Features, select the program in the list of programs, and click the uninstall button, or right click on the program and select Uninstall in the menu. The Windows uninstall system will then run and remove the program. These steps are for Windows 10 and may be slightly different in other Windows versions.

If you installed the program manually then delete the files to uninstall the program, and also delete any Desktop Shortcut or other shortcut links.

Then delete this entire key in the Windows Registry :

HKEY_CURRENT_USER\SOFTWARE\Michael_Robinson\EggTimer

Legal Stuff

This program is Copyright © 1999 Michael Robinson. All Rights Reserved. Use this program at your own risk. No guarantees of any sort. You may give this file away free, but you may not sell it. It must be distributed as a package along with all files. Modification of the executable file is prohibited.

Revision History

1.0.0.0 Aug 8, 1999 Initial Public Release.
1.0.0.1 Aug 15, 1999 Added clock mode.
1.0.0.2 Aug 15, 1999 Clock mode now 12 hour A/P format.
1.0.1.0 Jul 19, 2003 Added help.
1.1.0.0 Mar 4, 2007 Updated for Windows Vista.
1.2.0.0 Mar 31, 2007 Updated for Windows Vista.
2.0.0.0 Apr 3, 2007 Updated for Windows Vista.
2.1.2.0 Dec 29, 2010 Startup with same time as last run.
2.2.0.0 Sep 2, 2012 Improved time accuracy.
2.3.0.0 Jun 7, 2017 Fixed Start Running checkbox.

Purchase

The program works fine even if you do not pay for it. There is no time limit. It will run forever. It is fully functional. No features have been removed. It contains no spyware, no advertising. It does not make any connections to the internet or any other network.

The purchase price is $5.00 (Five US Dollars). I accept major credit cards, PayPal , or personal checks. Press one of the links below and your browser will open and go to PayPal with all the purchase information already filled out. You can use PayPal to pay by credit card even if you do not have a PayPal account. The total cost to you is $5.00. No fees. Use your Visa, Mastercard, American Express, or Discover card. PayPal is a very secure and reliable payment system used by millions of people around the world. Pay once and all future upgrades are free.

Pay with credit card or PayPal Pay with credit card or PayPal Or send payment by PayPal to: ElegantPie@HotMail.com

Or send personal check or money order payable to Michael Robinson

Michael Robinson
PO Box 95
Shelton, CT 06484

Please add $10.00 if you would like a CD sent by US Mail to an address in the USA.
Please add $20.00 if you would like a CD sent by US Mail to an address outside the USA.

Official PayPal Seal I am PayPal Verified. My Account Creation Date is May 30, 2000.

The Official PayPal Verified Seal above means that I have provided PayPal with proof that I have a bank account and that my address is valid. Banks are required by law to screen account holders so PayPal's verification process increases security when you pay parties you do not know. My bank has my address and Social Security number on file. I have been using PayPal for over 16 years.

I use PayPal because the fees are low. If you send me $5.00 PayPal only takes about $0.45 so I net $4.55. All other payment services take several dollars so I would have to charge $8 or more for my program to gain the same net. This lowers the cost to you. PayPal is usually free for most transactions, such as Ebay auction payments, but as a business I am required to have a Premier Account with fees. If you do not have a PayPal account, you can still use PayPal to make a payment using your credit card. PayPal does not charge you any fees for this. PayPal is a very secure and reliable payment system used by millions of people around the world.

DOWNLOAD PURCHASE HOME EMAIL

elegantpie@hotmail.com

http://www.elegantpie.com